Instalar varias versiones de PHP con EasyApache 4

EasyApache 4 instala, configura, actualiza y valida su Apache, PHP y otros servicios en su servidor. EasyApache 4 también es compatible con múltiples versiones de PHP. Esto le permite asignar diferentes versiones de PHP a cada uno de sus dominios.

Acceda a EasyApache 4 #

Inicie sesión en WHM y acceda a EasyApache 4 mediante la barra de búsqueda. WHM >> Software >> EasyApache 4

EasyApache 4 en WHM

Una vez que haya navegado a EasyApache 4, puede ver, personalizar y proporcionar los perfiles de EasyApache disponibles. Haga clic en el botón Customize

EasyApache 4 en WHM

Comprendiendo EasyApache 4 #

Apache MPM #

En el menú “Apache MPM” puede seleccionar qué módulo de multiprocesamiento o “MPM” le gustaría utilizar. Esto determinará cómo Apache manejará las solicitudes entrantes y cómo las procesará. Puede seleccionar qué MPM le gustaría usar haciendo clic en el botón de alternancia a la derecha del módulo.

Apache MPM

Apache Modules #

La sección «Apache Modules» le permitirá seleccionar e instalar los módulos Apache necesarios. Una vez seleccionados los módulos necesarios, haga clic en Next. Los módulos Apache pueden agregar funcionalidad adicional a Apache. Por ejemplo, el módulo mod_ssl se puede seleccionar desde esta interfaz. Esto permite que Apache procese el tráfico utilizando Secure Sockets Layer “SSL v2 / 3” y TLS “Transport Layer Security”.

Apache Modules

PHP Versions #

En el menú «PHP Versions«, puede seleccionar qué versiones de PHP desea instalar. WHM verificará automáticamente las extensiones que están siendo utilizadas actualmente por otras versiones de PHP en su servidor. Lo más probable es que estas extensiones estén siendo utilizadas actualmente por uno de sus dominios y, debido a esto, le recomendamos que al activar una nueva versión de PHP de click en el botón PHP x.x and Extensions. Una vez que haya seleccionado las versiones que desea instalar, haga clic en Next.

PHP Versions en Easyapache4

Muy importante

Si es posible, recomendamos encarecidamente siempre utilizar la versión más reciente de PHP

PHP Extensions #

En el menú «PHP Extensions«, puede seleccionar todas las extensiones de PHP que necesite. Las extensiones PHP habilitan funciones particulares utilizadas en su código PHP, un ejemplo de esto sería si su código PHP se comunica con MySQL, necesitará utilizar la extensión «mysqlnd«.

EasyApache 4 selecciona extensiones recomendadas que existan en versiones previamente instaladas de PHP en su servidor de forma predeterminada.

Un buen consejo es limitar la vista de selección a solo la versión de PHP que está instalando. Puede hacerlo en la parte superior de esta página desmarcando la selección de las casillas junto a Filter by PHP Version. Una vez que haya seleccionado sus extensiones PHP, haga clic en Next.

PHP Extensions en Easyapache 4

Las siguientes dos secciones no se utilizan comúnmente, sin embargo, se incluyen para aquellas que requieren estas funciones.

Ruby via Passenger le permite integrar aplicaciones Ruby, Node.js y Python en su servidor. Dentro de este menú, puede instalar / seleccionar qué módulos de Ruby le gustaría usar.

Additional Packages, le permite seleccionar paquetes personalizados para instalarlos en su servidor. Actualmente, de forma predeterminada, la única opción disponible es Tomcat 8.5. Tomcat es un contenedor de servlets de Java que le permite ejecutar aplicaciones basadas en Java en su servidor.

Puede guardar el perfil para usarlo más tarde haciendo clic en el botón Save as Profile en la esquina inferior derecha de la página.

Easyapache 4

Una vez que haya terminado, haga clic en Next o Review. Debería ver una pantalla de carga como la que hemos incluido a continuación. Esto puede tardar unos minutos en completarse, por favor espere a que carguen los resultados.

Easyapache 4

Asegúrese de revisar esta pantalla para asegurarse de haber seleccionado la configuración deseada. Si nota que falta algo, puede volver al menú correspondiente para ajustar las selecciones. Una vez revisado, desplácese hacia abajo hasta la parte inferior de la página y haga clic en el botón Provision.

Una vez que haya comenzado a aprovisionar, espere a que EasyApache termine. Usted verá un aviso cuando termine.

EasyApache 4

Felicitaciones, ha seleccionado un MPM, ha instalado módulos Apache adicionales, versiones PHP y extensiones PHP usando EasyApache 4.